summaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/powerpc/nx-gzip/nx-gzip-test.sh
diff options
context:
space:
mode:
authorRaphael Moreira Zinsly <rzinsly@linux.ibm.com>2020-04-20 17:55:36 -0300
committerMichael Ellerman <mpe@ellerman.id.au>2020-04-21 22:51:34 +1000
commit647c734f62f882bb742683cd5f5596f0abadf758 (patch)
treede49385d9758f15d819ffcd54c0d9c29185a6cc6 /tools/testing/selftests/powerpc/nx-gzip/nx-gzip-test.sh
parentf49b75724cfa2a6264aa5a77f33c3883701852af (diff)
downloadlinux-stable-647c734f62f882bb742683cd5f5596f0abadf758.tar.gz
linux-stable-647c734f62f882bb742683cd5f5596f0abadf758.tar.bz2
linux-stable-647c734f62f882bb742683cd5f5596f0abadf758.zip
selftests/powerpc: Add NX-GZIP engine compress testcase
Add a compression testcase for the powerpc NX-GZIP engine. Signed-off-by: Bulent Abali <abali@us.ibm.com> Signed-off-by: Raphael Moreira Zinsly <rzinsly@linux.ibm.com> Signed-off-by: Michael Ellerman <mpe@ellerman.id.au> Link: https://lore.kernel.org/r/20200420205538.25181-4-rzinsly@linux.ibm.com
Diffstat (limited to 'tools/testing/selftests/powerpc/nx-gzip/nx-gzip-test.sh')
-rwxr-xr-xtools/testing/selftests/powerpc/nx-gzip/nx-gzip-test.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/tools/testing/selftests/powerpc/nx-gzip/nx-gzip-test.sh b/tools/testing/selftests/powerpc/nx-gzip/nx-gzip-test.sh
new file mode 100755
index 000000000000..7cc7256ba1c7
--- /dev/null
+++ b/tools/testing/selftests/powerpc/nx-gzip/nx-gzip-test.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+if [[ ! -w /dev/crypto/nx-gzip ]]; then
+ echo "Can't access /dev/crypto/nx-gzip, skipping"
+ echo "skip: $0"
+ exit 4
+fi
+
+set -e
+
+function cleanup
+{
+ rm -f nx-tempfile*
+}
+
+trap cleanup EXIT
+
+function test_sizes
+{
+ local n=$1
+ local fname="nx-tempfile.$n"
+
+ for size in 4K 64K 1M 64M
+ do
+ echo "Testing $size ($n) ..."
+ dd if=/dev/urandom of=$fname bs=$size count=1
+ ./gzfht_test $fname
+ done
+}
+
+echo "Doing basic test of different sizes ..."
+test_sizes 0
+
+echo "Running tests in parallel ..."
+for i in {1..16}
+do
+ test_sizes $i &
+done
+
+wait
+
+echo "OK"
+
+exit 0